corner image corner image corner image corner image Debian NEW package overview for node-babel-preset-env
node-babel-preset-env_1.6.0-1_amd64.changes (click to toggle)
Format:1.8
Date:Fri, 01 Dec 2017 11:38:58 +0100
Source:node-babel-preset-env
Binary:node-babel-preset-env
Architecture:source all
Version:1.6.0-1
Distribution:unstable
Urgency:low
Maintainer:Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By:Pirate Praveen <praveen@debian.org>
Description:
node-babel-preset-env - Babel preset for each environment
Closes:876264
Changes:
node-babel-preset-env (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #876264)
  [Paolo Greppi]
  * Patch to use babel-preset-es2015 rather than self
Files:
2814edb58d852eb9fc6133dea1ecf895 2204 javascript optional node-babel-preset-env_1.6.0-1.dsc
f87809d00ef83bfff09fd4dd24cbaebb 73456 javascript optional node-babel-preset-env_1.6.0.orig.tar.gz
debb8dc95f5d3ceace1bd2028fee69be 2724 javascript optional node-babel-preset-env_1.6.0-1.debian.tar.xz
9fa33cfa4ec75ad87785a85e2e896706 24724 javascript optional node-babel-preset-env_1.6.0-1_all.deb
17ba0b0fdaef26f8b1d5d8d7927c1cf4 8617 javascript optional node-babel-preset-env_1.6.0-1_amd64.buildinfo
node-babel-preset-env_1.6.0-1.dsc (click to toggle)
Format:3.0 (quilt)
Source:node-babel-preset-env
Binary:node-babel-preset-env
Architecture:all
Version:1.6.0-1
Maintainer:Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:Pirate Praveen <praveen@debian.org>
Homepage:https://github.com/babel/babel/tree/master/packages/babel-preset-env
Standards-Version:4.1.1
Vcs-Browser:https://anonscm.debian.org/cgit/pkg-javascript/node-babel-preset-env.git
Vcs-Git:https://anonscm.debian.org/git/pkg-javascript/node-babel-preset-env.git
Testsuite:autopkgtest
Build-Depends:debhelper (>=9), dh-buildinfo, nodejs, node-babel-cli, node-babel-preset-es2015
Package-List:node-babel-preset-env deb javascript optional arch=all
Files:
f87809d00ef83bfff09fd4dd24cbaebb 73456 node-babel-preset-env_1.6.0.orig.tar.gz
debb8dc95f5d3ceace1bd2028fee69be 2724 node-babel-preset-env_1.6.0-1.debian.tar.xz
lintian check for node-babel-preset-env_1.6.0-1.dsc (click to toggle)
README.source for node-babel-preset-env_1.6.0-1.dsc (click to toggle)
No README.source in this package
control file for node-babel-preset-env_1.6.0-1_all.deb (click to toggle)
Package:node-babel-preset-env
Version:1.6.0-1
Architecture:all
Maintainer:Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Installed-Size:92
Depends:nodejs, node-babel-plugin-transform-es2015-modules-systemjs (>=6.23.0), node-babel-plugin-transform-es2015-computed-properties (>=6.22.0), node-babel-plugin-transform-es2015-parameters (>=6.23.0), node-babel-plugin-transform-es2015-literals (>=6.22.0), node-semver (>=5.3.0), node-browserslist (>=2.1.2), node-babel-plugin-transform-es2015-modules-umd (>=6.23.0), node-babel-plugin-transform-exponentiation-operator (>=6.22.0), node-babel-plugin-transform-es2015-modules-amd (>=6.22.0), node-babel-plugin-transform-es2015-unicode-regex (>=6.22.0), node-babel-plugin-transform-es2015-duplicate-keys (>=6.22.0), node-babel-plugin-transform-es2015-shorthand-properties (>=6.22.0), node-babel-plugin-transform-es2015-classes (>=6.23.0), node-babel-plugin-transform-async-to-generator (>=6.22.0), node-babel-plugin-transform-es2015-typeof-symbol (>=6.23.0), node-babel-plugin-transform-es2015-block-scoping (>=6.23.0), node-babel-plugin-transform-regenerator (>=6.22.0), node-babel-plugin-transform-es2015-block-scoped-functions (>=6.22.0), node-babel-plugin-check-es2015-constants (>=6.22.0), node-babel-plugin-syntax-trailing-function-commas (>=6.22.0), node-babel-plugin-transform-es2015-template-literals (>=6.22.0), node-babel-plugin-transform-es2015-sticky-regex (>=6.22.0), node-babel-plugin-transform-es2015-arrow-functions (>=6.22.0), node-babel-plugin-transform-es2015-for-of (>=6.23.0), node-babel-plugin-transform-es2015-modules-commonjs (>=6.23.0), node-invariant (>=2.2.2), node-babel-plugin-transform-es2015-destructuring (>=6.23.0), node-babel-plugin-transform-es2015-function-name (>=6.22.0), node-babel-plugin-transform-es2015-spread (>=6.22.0), node-babel-plugin-transform-es2015-object-super (>=6.22.0)
Section:javascript
Priority:optional
Homepage:https://github.com/babel/babel/tree/master/packages/babel-preset-env
Description:
Babel preset for each environment
 Babel preset that can automatically determine the Babel plugins and polyfills
 you need based on your supported environments.
 .
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.
 .
 Node.js is an event-based server-side JavaScript engine.
lintian check for node-babel-preset-env_1.6.0-1_all.deb (click to toggle)
contents of node-babel-preset-env_1.6.0-1_all.deb (click to toggle)
drwxr-xr-x root/root         0 2017-12-01 10:38 ./
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/lib/
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/lib/nodejs/
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/
-rw-r--r-- root/root      2743 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/CONTRIBUTING.md
drwxr-xr-x root/root         0 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/data/
-rw-r--r-- root/root      7904 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/data/built-in-features.js
-rw-r--r-- root/root     15405 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/data/built-ins.json
-rw-r--r-- root/root      2683 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/data/plugin-features.js
-rw-r--r-- root/root      4526 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/data/plugins.json
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/
-rw-r--r-- root/root       186 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/default-includes.js
-rw-r--r-- root/root      7301 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/index.js
-rw-r--r-- root/root       285 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/module-transformations.js
-rw-r--r-- root/root      5556 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/normalize-options.js
-rw-r--r-- root/root      4664 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/targets-parser.js
-rw-r--r-- root/root      3108 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/transform-polyfill-require-plugin.js
-rw-r--r-- root/root      1871 2017-12-01 10:38 ./usr/lib/nodejs/babel-preset-env/lib/utils.js
-rw-r--r-- root/root      3738 2017-07-04 14:59 ./usr/lib/nodejs/babel-preset-env/package.json
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/share/
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/share/doc/
drwxr-xr-x root/root         0 2017-12-01 10:38 ./usr/share/doc/node-babel-preset-env/
-rw-r--r-- root/root      4106 2017-07-04 14:59 ./usr/share/doc/node-babel-preset-env/README.md.gz
-rw-r--r-- root/root       206 2017-12-01 10:38 ./usr/share/doc/node-babel-preset-env/changelog.Debian.gz
-rw-r--r-- root/root      6649 2017-07-04 14:59 ./usr/share/doc/node-babel-preset-env/changelog.gz
-rw-r--r-- root/root      1438 2017-12-01 10:38 ./usr/share/doc/node-babel-preset-env/copyright

Timestamp: 01.12.2017 / 16:01:10 (UTC)